import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range(['#c11d1d', '#eae600']);

const radiusScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range([80, 50]);

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;
  
    const groups = selection.selectAll('g')
    .data(fruits);
  groups
    .enter().append('circle')

    .merge(groups)
  .attr('transform', (d,i) => 
    .attr('cx', (d, i) => i * 180 + 100)
    .attr('cy', height / 2)

  groups.exit().remove();
  
  const circles = selection.selectAll('circle')
    .data(fruits);
  circles
    .enter().append('circle')
      .attr('cx', (d, i) => i * 180 + 100)
      .attr('cy', height / 2)
    .merge(circles)
      .attr('r', d => radiusScale(d.type))
      .attr('fill', d => colorScale(d.type));
  circles.exit().remove();
  
    const text = selection.selectAll('text')
    .data(fruits);
  text
    .enter().append('text')
      .attr('x', (d, i) => i * 180 + 100)
      .attr('y', height / 1.2)
    .merge(text).text(d => d.type)

  text.exit().remove();
}
